Skip to content

List projects

GET
/v1/workspaces/{workspace_id}/projects
curl --request GET \
--url https://api.app.layer.ai/api/v1/workspaces/:workspace_id/projects \
--header 'Authorization: Bearer <token>'
workspace_id
required
Workspace Id
string format: uuid
include_archived
Include Archived
boolean
limit
Limit
integer
default: 20 >= 1 <= 100
cursor
Any of:
string

Successful Response

Media typeapplication/json
ListProjectsOutput
object
projects
required
Projects
Array<object>
ProjectSummary
object
project_id
required
Project Id

The project’s unique identifier.

string format: uuid
name
required
Name

The project’s display name.

string
status
required
ProjectStatus

Project status: active or archived.

string
Allowed values: active archived deleted
object_count
required
Object Count

Number of library objects currently linked to this project.

integer
pagination
required
PaginationOutput
object
next_cursor
Any of:
string
has_more_results
required
Has More Results

If there are more results to page through

boolean
total_count
Any of:
integer
Example
{
"projects": [
{
"status": "active"
}
]
}

Unauthenticated — missing or invalid Bearer token.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Forbidden — insufficient permissions.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Resource not found.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Invalid input parameters.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Rate limited — too many concurrent requests.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Internal server error.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}